{
  "schema_version": "1.4.0",
  "id": "GHSA-833p-5v27-qv7x",
  "modified": "2022-05-02T06:09:44Z",
  "published": "2022-05-02T06:09:44Z",
  "aliases": [
    "CVE-2010-0018"
  ],
  "details": "Integer overflow in the Embedded OpenType (EOT) Font Engine (t2embed.dll) in Microsoft Windows 2000 SP4; Windows XP SP2 and SP3; Windows Server 2003 SP2; Windows Vista Gold, SP1, and SP2; Windows Server 2008 Gold, SP2, and R2; and Windows 7 allows remote attackers to execute arbitrary code via compressed data that represents a crafted EOT font, aka \"Microtype Express Compressed Fonts Integer Flaw in the LZCOMP Decompressor Vulnerability.\"",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-0018"
    },
    {
      "type": "WEB",
      "url": "https://docs.microsoft.com/en-us/security-updates/securitybulletins/2010/ms10-001"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8324"
    },
    {
      "type": "WEB",
      "url": "http://blogs.technet.com/srd/archive/2010/01/12/ms10-001-font-file-decompression-vulnerability.aspx"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/61651"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35457"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37671"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1023432"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA10-012B.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/0095"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-01-13T19:30:00Z"
  }
}